Bug 197500 - NullPointerException at org.openide.explorer.view.OutlineView.synchronizeSelectedNodes
NullPointerException at org.openide.explorer.view.OutlineView.synchronizeSele...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P3 (vote)
: 7.0.1
Assigned To: Martin Entlicher
issues@platform
EXCEPTIONS_REPORT
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 16:24 UTC by mklaehn
Modified: 2011-04-08 08:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.11 KB, text/plain)
2011-04-06 16:24 UTC, mklaehn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mklaehn 2011-04-06 16:24:02 UTC
Build: NetBeans Platform Dev (Build nbms-and-javadoc-6946-on-20110330)
VM: Java HotSpot(TM) Server VM, 19.1-b02, Java(TM) SE Runtime Environment, 1.6.0_24-b07
OS: Windows 2000

User Comments:
mklaehn: debigging and switching to output window




Stacktrace: 
java.lang.NullPointerException
   at org.openide.explorer.view.OutlineView.synchronizeSelectedNodes(OutlineView.java:721)
   at org.openide.explorer.view.OutlineView$TableSelectionListener.propertyChange(OutlineView.java:1162)
   at org.openide.util.WeakListenerImpl$PropertyChange.propertyChange(WeakListenerImpl.java:196)
   at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
   at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
   at org.openide.explorer.ExplorerManager$2.run(ExplorerManager.java:868)
Comment 1 mklaehn 2011-04-06 16:24:06 UTC
Created attachment 107561 [details]
stacktrace
Comment 2 Martin Entlicher 2011-04-07 13:46:02 UTC
A threading issue, filed manager is changed in one thread and accessed in another without any synchronization.
Comment 3 Martin Entlicher 2011-04-07 15:24:53 UTC
Fixed by changeset:   192176:112049ca77a6
http://hg.netbeans.org/main/rev/112049ca77a6
Comment 4 Quality Engineering 2011-04-08 08:51:33 UTC
Integrated into 'main-golden', will be available in build *201104080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/112049ca77a6
User: mentlicher@netbeans.org
Log: #197500 Assure that manager field is set to null and checked for a null value under a lock.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo